[Distutils] Setuptools for Python 2.5

John Machin sjmachin at lexicon.net
Thu Sep 21 03:00:04 CEST 2006


On 21/09/2006 10:04 AM, Phillip J. Eby wrote:
> At 03:07 PM 9/16/2006 +1000, John Machin wrote:
>> I tried to use 2.5c1 to run ez_setup.py; it looked in the cheeseshop, 
>> but terminated rather ungracefully with an HTTP 404 error.
> 
> 0.6c3 is in the Cheeseshop now, with support for Python 2.5.

Thanks, Phillip. I've got it now, but needed to get over another hurdle, 
which was that ez_setup.py contains hard-coded egg names and md5 
checksums, and thus seems to need to be fetched (manually, not exactly 
"ez") from your website each time the world changes.

Using the old version of ez_setup (which I had used successfully to get 
setuptools for python 2.4 & 2.3), the command
     \python25\python ez_setup.py
gave HTTP error 404.

Shouldn't it just find the latest 2.5-compatible egg in the Cheeseshop? 
Or should I be using some non-default args?
Shouldn't it be a little more helpful than "404" if it can't find a 
suitable egg?

> 
> 
>> I think it would be a good idea to have a note on the website about 
>> when a 2.5-compatible version of setuptools will be available. Also 
>> (unless I've missed it), there is no mention of a preferred e-mail 
>> address for questions, bug reports, suggestions, ...
> 
> Actually, it's at the end of the setuptools manual:
> 
> http://peak.telecommunity.com/DevCenter/setuptools#mailing-list

Thanks; I must have skipped the table of contents and just read serially 
until I got to the release notes and then baled out :-)

Cheers,
John


More information about the Distutils-SIG mailing list